#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl
use strict;
use PureMessage::Manager::Request qw($REQUEST %in %text);
use PureMessage::Manager::Response::ServerGroups;
use PureMessage::Manager::Widget;
use PureMessage::Manager::Lang;
use PureMessage::ServerGroup qw (:all);

my $r = $REQUEST->get_response( 'PureMessage::Manager::Response::ServerGroups',
                                #'stderr_to_stdout' =>1
                              );

$r->add_help(text => "Help", tab => "servgrp", page => "mgr_servgrp_findhost" );
$r->title('servergroups_findhosts_title');

my $hosts_before = keys %{get_hosts() || {} };
network_scan(localhost=>1, save=>1);
my $hosts_after = keys %{get_hosts() || {}};
my $added = $hosts_after - $hosts_before;

$r->dialog( style => 'dlg_info',
            msg => $added ? &text("hosts_added",$added) : &text("no_hosts_added"),
            buttons => [[ { type=>'image', icon=>'continue',text=>'Continue',href=>'index.cgi'} ]],
          );

$r->send();
