package PureMessage::Manager::Response::ServerGroups;
use strict;
use PureMessage::Manager::Request;
use PureMessage::Manager::Config qw(%config %web_config);

our  @ISA = ('PureMessage::Manager::Response');

sub new {
    my $proto = shift;
    my $self = $proto->SUPER::new(@_);
    $self->add_taskmenu({ title => 'Tasks',
                          buttons => [ [
                                        { type=>'text', text=>'Network Status', href=>'index.cgi'},
                                        { type=>'text', text=>'Add Group', href=>'group.cgi'},
                                        { type=>'text', text=>'Add Host', href=>'host.cgi'},
                                        { type=>'text', text=>'Find Hosts', href=>'find_host.cgi'},
                                         ]
                                       ],
                        });

    
    return $self;
}



1;
